Package com.ocient.metrics

# Enum Metric.DataType

java.lang.Object
java.lang.Enum<Metric.DataType>
com.ocient.metrics.Metric.DataType

All Implemented Interfaces:
  `Serializable`, `Comparable<Metric.DataType>`, `java.lang.constant.Constable`

Enclosing class:
  Metric<T>

    public static enum Metric.DataType
    extends Enum<Metric.DataType>

The metric's data type.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`LONG` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static Metric.DataType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
`static Metric.DataType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LONG

public static final Metric.DataType LONG

## Method Details

### values

public static Metric.DataType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Metric.DataType valueOf​(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null